%global snapver 20050103
%global toolname ip6tables
%global momorel 1

Summary: USAGI IPv6 packet filter administration utility
Name: usagi-%{toolname}
Version: 1.2.7
Release: 0.%{snapver}.%{momorel}m
License: GPL
Group: System Environment/Base
%global md5source0 e0683ec1ac7ac0f3f3d4de94c8737ba7
%NoSource 0 ftp://ftp.linux-ipv6.org/pub/usagi/snap/split/usagi-tool-s%{snapver}.tar.bz2 %{md5source0}
Patch0: usagi-ip6tables-ssp-fix.patch
URL: http://www.linux-ipv6.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kernel-headers >= 2.6
Obsoletes: iptables-ipv6
Provides: iptables-ipv6

%description
USAGI IPv6 packet filter administration utility.
It is used to set up, maintain, and inspect the tables of IPv6
packet filter rules in the Linux kernel.  Several different
tables may be defined.  Each table contains a number of built-in
chains and may also contain user-defined chains.

%prep
%setup -q -n usagi
%patch0 -p1

make prepare TARGET=linux26

%build
pushd usagi/%{toolname}
%configure --with-linux-kernel=/usr/src/linux
make
popd

# for ip6tables.8
cd src/iptables/
make
cd -

%install
%__rm -rf  %{buildroot}
%__mkdir_p %{buildroot}/sbin
%__mkdir_p %{buildroot}%{_mandir}/man8

pushd usagi/%{toolname}
for i in ip6tables ip6tables-save ip6tables-restore; do
install -m 755 $i %{buildroot}/sbin
done

for i in ip6tables.8 ip6tables-save.8 ip6tables-restore.8; do
install -m 644 $i %{buildroot}%{_mandir}/man8
done

popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/man8/*
%doc src/iptables/COPYING src/iptables/CURRENT_ISSUES 

%changelog
* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7a-0.20050103.1m)
- update usagi-tools to 20050103
- change TARGET=linux24 to TARGET=linux26

* Fri Aug 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7a-0.20030818.1m)
- update usagi tools to 20030818

* Mon Aug 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030804.1m)
- update usagi tools to 20030804

* Sun Feb 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030120.2m)
- fix build probrem

* Mon Jan 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030120.1m)
- update to usagi snap of 20030120 

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030106.2m)
- Conflicts: iptables-ipv6 -> Obsoletes: iptables-ipv6

* Sun Jan 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030106.1m)
- USAGI IPv6 packet filter administration utility
- conflicts iptables-ipv6
- initial version
